#include "regs_map_C.h"
#include "8051.h"


__sbit __at(0x80) gpioa_0;
__sbit __at(0x81) gpioa_1;
__sbit __at(0x82) gpioa_2;
__sbit __at(0x83) gpioa_3;
__sbit __at(0x84) gpioa_4;
__sbit __at(0x85) gpioa_5;
__sbit __at(0x86) gpioa_6;
__sbit __at(0x87) gpioa_7;

void main(void)
{
	WriteReg(GPIOA_DIR_SET, 0xF0); //gpioa_1, gpioa_3..gpioa_7 - output
	while (1)
	{
		gpioa_7 ^= 1;
		gpioa_6 ^= 1;
		gpioa_5 ^= 1;
		gpioa_4 ^= 1;
	}
}
